Get attached function
curl --request GET \
--url https://api.example.com/api/v2/tenants/{tenant}/databases/{database}/collections/{collection_id}/functions/{function_name} \
--header 'x-chroma-token: <api-key>'import requests
url = "https://api.example.com/api/v2/tenants/{tenant}/databases/{database}/collections/{collection_id}/functions/{function_name}"
headers = {"x-chroma-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-chroma-token': '<api-key>'}};
fetch('https://api.example.com/api/v2/tenants/{tenant}/databases/{database}/collections/{collection_id}/functions/{function_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));false{
"attached_function": {
"completion_offset": 1,
"database_id": "<string>",
"function_name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"input_collection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"min_records_for_invocation": 1,
"name": "<string>",
"output_collection": "<string>",
"tenant_id": "<string>",
"output_collection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"params": "<string>"
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Function
Get attached function
Returns an attached function by name.
GET
/
api
/
v2
/
tenants
/
{tenant}
/
databases
/
{database}
/
collections
/
{collection_id}
/
functions
/
{function_name}
Get attached function
curl --request GET \
--url https://api.example.com/api/v2/tenants/{tenant}/databases/{database}/collections/{collection_id}/functions/{function_name} \
--header 'x-chroma-token: <api-key>'import requests
url = "https://api.example.com/api/v2/tenants/{tenant}/databases/{database}/collections/{collection_id}/functions/{function_name}"
headers = {"x-chroma-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-chroma-token': '<api-key>'}};
fetch('https://api.example.com/api/v2/tenants/{tenant}/databases/{database}/collections/{collection_id}/functions/{function_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));false{
"attached_function": {
"completion_offset": 1,
"database_id": "<string>",
"function_name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"input_collection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"min_records_for_invocation": 1,
"name": "<string>",
"output_collection": "<string>",
"tenant_id": "<string>",
"output_collection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"params": "<string>"
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Authorizations
Path Parameters
Tenant UUID
Database name
Collection UUID
Function name
Response
Attached function retrieved successfully
API response struct for attached function with function_name instead of function_id
Show child attributes
Show child attributes
Was this page helpful?